Bug 846855 - pychecker fails on list slice assignment
pychecker fails on list slice assignment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pychecker (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 18:28 EDT by Ben Liblit
Modified: 2016-06-18 14:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: pychecker-0.8.19-9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 713591
Environment:
Last Closed: 2016-06-14 21:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
small test input demonstrating the problem (50 bytes, text/x-python)
2012-08-08 18:29 EDT, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2012-08-08 18:28:11 EDT
+++ This bug was initially created as a clone of Bug #713591 +++

Created attachment 504941 [details]
small test input demonstrating the problem

Description of problem:

When pychecker encounters code that assigns to a list slice, it fails with an internal error.


Version-Release number of selected component (if applicable):

python-2.7.1-7.fc15.i686
pychecker-0.8.19-2.fc15.noarch


How reproducible:

100% reproducible.


Steps to Reproduce:
1. Save the "problematic.py" attachment found in this bug report.
2. Run "pychecker problematic.py".
  
Actual results:

Diagnostic output reporting an internal error as follows:

    problematic.py:2: INTERNAL ERROR -- STOPPED PROCESSING FUNCTION --
	Traceback (most recent call last):
	  File "/usr/lib/python2.7/site-packages/pychecker/warn.py", line 241,
          in _checkFunction
	    _checkCode(code, codeSource)
	  File "/usr/lib/python2.7/site-packages/pychecker/warn.py", line 154,
          in _checkCode
	    raise NotImplementedError('No DISPATCH member for op %r' % op)
	NotImplementedError: No DISPATCH member for op 43


Expected results:

Warnings if any are appropriate, but certainly not an internal error.

Additional info:

First mentioned as <https://bugzilla.redhat.com/show_bug.cgi?id=658568#c4>.

--- Additional comment from vcrhonek@redhat.com on 2011-06-16 07:31:51 EDT ---

There seems to be identical issue reported to the upstream bug tracker:

http://sourceforge.net/tracker/?func=detail&aid=3208130&group_id=24686&atid=382217

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 16:07:00 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Ben Liblit 2012-08-08 18:29:44 EDT
Created attachment 603135 [details]
small test input demonstrating the problem
Comment 2 Fedora End Of Life 2013-07-04 00:12:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Ben Liblit 2013-07-04 23:11:09 EDT
Still fails with pychecker-0.8.19-5.fc19.noarch.
Comment 4 Fedora End Of Life 2015-01-09 12:18:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Ben Liblit 2015-01-09 12:46:17 EST
Still fails with pychecker-0.8.19-7.fc21.noarch.
Comment 6 Fedora End Of Life 2015-11-04 09:18:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Ben Liblit 2015-11-04 16:54:02 EST
Still fails with pychecker-0.8.19-8.fc23.noarch.
Comment 8 Fedora Update System 2016-06-06 07:35:18 EDT
pychecker-0.8.19-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-43397c1da1
Comment 9 Fedora Update System 2016-06-06 08:08:21 EDT
pychecker-0.8.19-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd2fc2fede
Comment 10 Fedora Update System 2016-06-06 13:57:19 EDT
pychecker-0.8.19-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43397c1da1
Comment 11 Fedora Update System 2016-06-07 01:22:33 EDT
pychecker-0.8.19-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd2fc2fede
Comment 12 Fedora Update System 2016-06-14 21:37:04 EDT
pychecker-0.8.19-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-06-18 14:41:47 EDT
pychecker-0.8.19-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.